"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.insertPermissionLinks = void 0;
const table_1 = require("./table");
const insertPermissionLinks = async (trx, permissionIds, publicRoleId) => {
    if (!permissionIds.length) {
        return Promise.resolve([]);
    }
    await trx(table_1.TABLE.links).insert(permissionIds.map((id) => ({
        permission_id: id,
        role_id: publicRoleId,
    })));
    return (await trx(table_1.TABLE.links).select("id").whereIn("permission_id", permissionIds)).map(({ id }) => id);
};
exports.insertPermissionLinks = insertPermissionLinks;
