"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.insertPermissions = void 0;
const table_1 = require("./table");
const insertPermissions = async (trx, actions) => {
    if (!actions.length) {
        return Promise.resolve([]);
    }
    const now = new Date();
    await trx(table_1.TABLE.permissions).insert(actions.map((action) => ({
        action,
        created_at: now,
        updated_at: now,
    })));
    return (await trx(table_1.TABLE.permissions).select("id").whereIn("action", actions)).map(({ id }) => id);
};
exports.insertPermissions = insertPermissions;
